# Method Web.RDF()->add_statement()

Method add_statement

  ``this_program` add_statement(`Resource`|`string`|`multiset`(`string`) `subj`, `Resource`|`string`|`multiset`(`string`) `pred`, `Resource`|`string`|`multiset`(`string`) `obj`)`

Description

  Adds a statement to the RDF set. If any argument is a string, it will be converted into a LiteralResource. If any argument is a multiset with one string in it, it will be converted into a URIResource.

Throws

  Throws an exception if any argument couldn't be converted into a Resouce object.